#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Action::Cookbooks::FeedbackDescriptionOf
#
# Usage examples:
#
#   RBT::Action::Cookbooks::FeedbackDescriptionOf.new(ARGV)
#   RBT.feedback_description_of
#
# =========================================================================== #
# require 'rbt/actions/individual_actions/information/feedback_description_of.rb'
# RBT.feedback_description_of(ARGV)
# =========================================================================== #
require 'rbt/actions/action.rb'

module RBT

class Action

module Cookbooks

class FeedbackDescriptionOf < RBT::Action # === RBT::Action::Cookbooks::FeedbackDescriptionOf

   require 'rbt/requires/require_sanitize_cookbook.rb'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_commandline_arguments(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    infer_the_namespace
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    i = commandline_arguments?
    i = i.join(' ').strip if i.is_a? Array
    RBT.feedback_description_of_via_sanitize_cookbook(i)
  end

  # ========================================================================= #
  # === RBT::Action::Cookbooks::FeedbackDescriptionOf[]
  # ========================================================================= #
  def self.[](i = ARGV)
    new(i)
  end

end; end; end

# =========================================================================== #
# === RBT.feedback_description_of
# =========================================================================== #
def self.feedback_description_of(i = ARGV)
  RBT::Action::Cookbooks::FeedbackDescriptionOf.new(i)
end

end

if __FILE__ == $PROGRAM_NAME
  RBT.feedback_description_of(ARGV)
end # feedback_description_of