#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/colours.rb'
# =========================================================================== #
module RBT

  require 'rbt/colours/determine_the_toplevel_use_colours_variable.rb'
  require 'rbt/colours/html_colours.rb'
  require 'rbt/colours/rev_simp_sdir_sfancy_sfile_and_swarn.rb'
  require 'rbt/colours/use_colours.rb' # ← This file pulls in the "colours" gem.
  require 'rbt/colours/permanently_disable_colours.rb'
  require 'rbt/toplevel_methods/e_and_esystem.rb'

  # ========================================================================= #
  # === bold_green
  # ========================================================================= #
  def bold_green(i)
    if use_colours?
      "\e[1;32m"+i+"\e[0;37m"
    else
      i
    end
  end

  # ========================================================================= #
  # === bold_blue
  # ========================================================================= #
  def bold_blue(i)
    if use_colours?
      "\e[1;34m"+i+"\e[0;37m"
    else
      i
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  require 'colours/colours_e_autoinclude'
  e RBT.violet('Hello world!')
end # rb $RBT/colours/colours.rb