#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/constants/configuration_directory.rb'
# =========================================================================== #
module RBT

  require 'rbt/project/project.rb'

  # ========================================================================= #
  # === @configuration_directory
  #
  # As of August 2018, there will be only one constant for the
  # configuration directory. If you need or want more flexibility
  # then consider using the top-level methods, such as
  # RBT.configuration_directory?().
  #
  # Several aliases are made available towards that method.
  # ========================================================================= #
  @configuration_directory =
    "#{RBT.project_yaml_directory?}configuration/"

  # ========================================================================= #
  # === RBT.set_configuration_directory
  #
  # Setter-method to set the configuration directory used by the
  # RBT project.
  # ========================================================================= #
  def self.set_configuration_directory(i)
    @configuration_directory = i
  end

  # ========================================================================= #
  # === RBT.configuration_directory?
  # ========================================================================= #
  def self.configuration_directory?
    @configuration_directory
  end; self.instance_eval { alias cookbooks_configuration_dir? configuration_directory? } # === RBT.cookbooks_configuration_dir?
       self.instance_eval { alias rbt_configuration_directory? configuration_directory? } # === RBT.rbt_configuration_directory?
       self.instance_eval { alias configuration_directory      configuration_directory? } # === RBT.configuration_directory
       self.instance_eval { alias config_dir?                  configuration_directory? } # === RBT.config_dir?
       self.instance_eval { alias configuration_yaml?          configuration_directory? } # === RBT.configuration_yaml?
       self.instance_eval { alias config_directory?            configuration_directory? } # === RBT.config_directory?

  # ========================================================================= #
  # === RBT.file_use_psych_or_syck
  # ========================================================================= #
  def self.file_use_psych_or_syck
    "#{@configuration_directory}use_psych_or_syck.yml"
  end

end

if __FILE__ == $PROGRAM_NAME
  alias e puts
  e RBT.file_use_psych_or_syck  
end