#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/libtool/class_methods/use_this_directory.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class Libtool < Base

  require 'rbt/toplevel_methods/files_and_directories_related_methods.rb'

  # ========================================================================= #
  # === @use_this_directory
  #
  # Must be set to nil initially so that we will not use it by default.
  # ========================================================================= #
  @use_this_directory = nil

  # ========================================================================= #
  # === RBT::Libtool.use_this_directory?
  # ========================================================================= #
  def self.use_this_directory?
    @use_this_directory
  end

  # ========================================================================= #
  # === RBT::Libtool.set_use_this_directory
  # ========================================================================= #
  def self.set_use_this_directory(i)
    @use_this_directory = i.to_s
  end

  # ========================================================================= #
  # === RBT::Libtool.use_this_directory
  #
  # The PWD macro means Dir.pwd actually.
  # ========================================================================= #
  def self.use_this_directory(i)
    i = i.to_s
    case i
    when 'PWD'
      i = return_pwd
    end unless File.exist? i
    i << '/' unless i.end_with? '/'
    @use_this_directory = i
  end

end; end