#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/requires/require_the_rbt_project.rb'
# =========================================================================== #

# =========================================================================== #
# First, require the ruby file that resides under the directory "project/",
# since this is just about the most important one.
# =========================================================================== #
require 'rbt/project/project.rb'

require 'rbt/requires/require_colours.rb'

require 'rbt/requires/require_sanitize_cookbook.rb'

# =========================================================================== #
# We like to handle Encodings properly, so pull in the Encodings first.
# =========================================================================== #
require 'rbt/encoding/encoding.rb'

# =========================================================================== #
# Next, add the libtool-components.
# =========================================================================== #
require 'rbt/requires/require_libtool.rb'
require 'rbt/requires/require_base_scripts.rb'
require 'rbt/requires/require_class_update_entry.rb'

# =========================================================================== #
# YAML-support next:
# =========================================================================== #
require 'rbt/requires/require_yaml.rb'

# =========================================================================== #
# Add all utility-scripts under cookbooks/.
# =========================================================================== #
require 'rbt/requires/require_the_cookbook_utility_scripts.rb'

# =========================================================================== #
# Pull in the proper aliases next:
# =========================================================================== #
require 'rbt/aliases/aliases.rb'

require 'rbt/base/base.rb'

require 'rbt/requires/require_the_cookbook_class.rb'

# =========================================================================== #
# Pull in all toplevel_methods .rb files:
# =========================================================================== #
require 'rbt/requires/require_the_toplevel_methods.rb'
require 'rbt/requires/require_the_generate_files_classes.rb'
require 'rbt/toplevel_methods/files_and_directories_related_methods.rb'

# =========================================================================== #
# Pull in the utility-scripts next:
# =========================================================================== #
require 'rbt/requires/require_utility_scripts.rb'

# =========================================================================== #
# And the rbt/headers/ subcomponents next:
# =========================================================================== #
require 'rbt/actions/individual_actions/headers/headers.rb'

require 'rbt/actions/individual_actions/statistics/compile_strategies.rb'

# =========================================================================== #
# Require the gobolinux-specific .rb files next:
# =========================================================================== #
require 'rbt/linux/gobolinux/create_dependencies_file.rb'
require 'rbt/linux/gobolinux/create_recipe.rb'
require 'rbt/linux/gobolinux/gobolinux_naming_convention.rb'

# =========================================================================== #
# Require slackware-specific .rb files next:
# =========================================================================== #
require 'rbt/linux/slackware/create_slackware_package.rb'

# =========================================================================== #
# require 'rbt/module_programs' # ← This would automatically pull in all.
# =========================================================================== #

# =========================================================================== #
# Require the commandline variant next:
# =========================================================================== #
require 'rbt/commandline/commandline.rb'

require 'rbt/linux/linux_from_scratch/lfs/lfs.rb'

# =========================================================================== #
# Require URL-actions next:
# =========================================================================== #
require 'rbt/url_action/url_action.rb'
require 'rbt/actions/individual_actions/information/gather_information.rb'
require 'rbt/actions/individual_actions/information/create_program_version_url_file.rb'

# =========================================================================== #
# Require the compile-shell next (rbt-shell):
# =========================================================================== #
require 'rbt/shell/shell.rb'

require 'rbt/homebrew/registered_programs_of_homebrew.rb'

require 'rbt/requires/require_the_registered_components.rb'
require 'rbt/requires/require_the_constants.rb'

# =========================================================================== #
# Pull in the .rb files under display_cookbook_dataset/.
# =========================================================================== #
require 'rbt/cookbooks/display_cookbook_dataset/display_cookbook_dataset.rb'

# =========================================================================== #
# Require the new and shiny "actionable components", stored in actions.rb:
# =========================================================================== #
require 'rbt/actions/actions.rb'

require 'rbt/actions/individual_actions/simple_appdir_configure/simple_appdir_configure.rb'

require 'rbt/sql/generate_sql_table.rb'

require 'rbt/requires/require_the_classes_for_individual_programs.rb'
RBT.require_the_classes_for_individual_programs

# =========================================================================== #
# Add support for BLFS entries:
# =========================================================================== #
require 'rbt/actions/individual_actions/cookbooks/blfs/blfs.rb'
