#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will pull in all utility scripts.
# =========================================================================== #
# require 'rbt/requires/require_the_toplevel_methods.rb'
# =========================================================================== #
module RBT

  require 'rbt/constants/constants.rb'

  # ========================================================================= #
  # === RBT.require_the_toplevel_methods
  # ========================================================================= #
  def self.require_the_toplevel_methods
    Dir["#{RBT.toplevel_methods_directory?}*.rb"].uniq.each {|file|
      require "rbt/toplevel_methods/#{File.basename(file)}"
    }
  end

  require_the_toplevel_methods # Load the toplevel-methods at once when this file is required.

end

if __FILE__ == $PROGRAM_NAME
  include RBT
end