#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/e_and_esystem.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.esystem
  #
  # This method will output which system-command will be run; and then
  # this command will be run, via system().
  #
  # The argument to this method determines the system command at hand.
  # ========================================================================= #
  def self.esystem(
      i               = '',
      use_this_colour = nil
    )
    if i.is_a? Array
      i.each {|entry| esystem(entry) }
    else
      if use_this_colour
        case use_this_colour
        # =================================================================== #
        # === :fancy_colours
        # =================================================================== #
        when :fancy_colours
          use_this_colour = :mediumslateblue
        end
        e ::Colours.send(use_this_colour, i)+
          ::Colours.rev
      else
        e i
      end
      system i
    end
  end

  # ========================================================================= #
  # === RBT.e
  #
  # This method is just a little (short) wrapper over puts.
  # ========================================================================= #
  def self.e(i = '')
    puts i
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.esystem(ARGV)
end