#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/feedback_program_description.rb'
# =========================================================================== #
module RBT

  require 'rbt/toplevel_methods/e_and_esystem.rb'
  require 'rbt/toplevel_methods/toplevel_methods.rb'

  # ========================================================================= #
  # === RBT.feedback_program_description
  #
  # This method will feedback the description of the program at hand,
  # on the commandline. By default it will make use of the expanded
  # dataset, by using :fast. If you want to make use of the simple
  # dataset that may have to be sanitized (and thus will be slower),
  # change this to :slow instead.
  # ========================================================================= #
  def self.feedback_program_description(
      i = ARGV
    )
    require 'rbt/actions/actions.rb'
    i = i.first if i.is_a? Array
    raw_cookbook = action(:raw_cookbook, i) { :use_the_expanded_dataset }
    hash = raw_cookbook.hash?
    # ======================================================================= #
    # Note that the key is a Symbol, at the least since as of May 2022.
    # ======================================================================= #
    use_this_key = 'description'.to_sym
    description = hash[use_this_key]
    e RBT.wrap_at(description.lstrip, 80)
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.feedback_program_description(ARGV)  
end # rbtfeedbackprogramdescription htop