#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/pin_and_unpin.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.pin_this_program
  #
  # This toplevel-method can be used to "pin" down a specific program.
  #
  # Pinned-down programs can not be installed. Users can unpin a
  # pinned-down program though.
  # ========================================================================= #
  def self.pin_this_program(i)
    require 'rbt/requires/require_raw_yaml.rb'
    if is_a_registered_program?(i)
      # ===================================================================== #
      # Store into this file:
      # ===================================================================== #
      into = "#{log_dir?}pinned_programs.yml"
      opne "Pinning the program #{sfancy(i)} next."
      array_these_programs_are_pinned = []
      if File.exist? into
        array_these_programs_are_pinned << YAML.load_file(into)
      end
      array_these_programs_are_pinned << i
      opne "Storing into #{sfile(into)} next."
      array_these_programs_are_pinned.uniq!
      write_what_into(
        YAML.dump(
          array_these_programs_are_pinned
        ),
        into
      )
    else
      opne "#{sfancy(i)}#{rev} can not be pinned because it is not registered."
    end
  end

  # ========================================================================= #
  # === RBT.unpin_this_program
  # ========================================================================= #
  def self.unpin_this_program(i)
  end

end