#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_binaries_of_this_program.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.return_binaries_of_this_program
  #
  # This method will return the binaries of a given program at hand.
  #
  # An Array will be returned which may look like this, for the program
  # called "ruby":
  #
  #   ["erb", "gem", "irb", "rake", "ri", "rdoc", "ruby"]
  #
  # ========================================================================= #
  def self.return_binaries_of_this_program(i)
    require 'rbt/requires/require_actions.rb'
    require 'rbt/requires/require_the_cookbook_class.rb'
    i = i.first if i.is_a? Array
    action(:SanitizeCookbook, i) { :fast }.binaries?
  end

end

if __FILE__ == $PROGRAM_NAME
  pp RBT.return_binaries_of_this_program(ARGV)
end # returnbinariesofthisprogram ruby