#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/show_available_utility_scripts.rb'
# =========================================================================== #
module RBT

  require 'rbt/toplevel_methods/e_and_esystem.rb'
  require 'rbt/colours/colours.rb'
  require 'rbt/constants/constants.rb'

  # ========================================================================= #
  # === RBT.show_available_utility_scripts
  #
  # Simply show all available utility scripts.
  #
  # Invocation example from the commandline:
  #
  #   cookbooks --show-available-scripts
  #
  # ========================================================================= #
  def self.show_available_utility_scripts
    files = Dir["#{utility_scripts?}*.rb"].sort.map {|file|
      File.basename(file)
    }
    files = files - ['utility_scripts.rb']
    e; files.each_with_index {|file, index|
      index += 1
      e "#{sfancy(index.to_s.rjust(4))}#{rev}) #{simp(file)}"
    }; e
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_available_utility_scripts
end # showavailableutilityscripts