#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/show_last_configure_option.rb'
# =========================================================================== #
module RBT

  require 'rbt/configuration/configuration.rb'
  require 'rbt/toplevel_methods/e_and_esystem.rb'

  # ========================================================================= #
  # === RBT.show_last_configure_option
  # ========================================================================= #
  def self.show_last_configure_option(
      _ = RBT.store_the_last_configuration_options_in_this_file
    )
    if File.exist? _
      # ===================================================================== #
      # The next two lines are mostly for debug-related output.
      #   require 'rbt/colours/rev_simp_sdir_sfancy_sfile_and_swarn.rb'
      #   e 'Obtaining the information from the file `'+sfile(_)+'`.'
      # ===================================================================== #
      e File.read(_)
    else
      e "No configure options have been stored yet "\
        "(File checked: #{_})."
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_last_configure_option  
end # rbtshowlastconfigureoption