#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::CreatePackage
#
# This class can take an existing package such as /Programs/Gcc/9.1.0
# and create a tarball release from this directory.
#
# It can also automatically name this archive in a certain way,
# such as "gcc-6.3.1-64bit-glibc-2.3.2.tar.xz".
#
# Note that this class here is currently (July 2019) UNFINISHED.
#
# Usage example:
#
#   RBT::CreatePackage.new(ARGV)
#
# =========================================================================== #
# require 'rbt/utility_scripts/create_package.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class CreatePackage < Base # === RBT::CreatePackage

  begin
    require 'totarxz'
  rescue LoadError; end

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    set_commandline_arguments(
      commandline_arguments
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    infer_the_namespace
  end

  # ========================================================================= #
  # === set_use_this_directory
  # ========================================================================= #
  def set_use_this_directory(i)
    @use_this_directory = i
  end

  # ========================================================================= #
  # === use_this_directory?
  # ========================================================================= #
  def use_this_directory?
    @use_this_directory
  end; alias main_dir? use_this_directory? # === main_dir?

  # ========================================================================= #
  # === return_guessed_name
  # ========================================================================= #
  def return_guessed_name(
      i = @use_this_directory
    )
    "#{ProgramInformation.return_name(i)}"\
    "-"\
    "#{ProgramInformation.return_version(i)}"
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    set_use_this_directory(first_argument?)
    _ = main_dir?
    _guessed_name = return_guessed_name(_)
    if File.directory? _
      opne "Packaging `#{sdir(_)}`."
      ToTarXz.new(_)
    else
      opne "#{sfancy(_)} is not a directory."
    end
  end

  # ========================================================================= #
  # === RBT::CreatePackage[]
  # ========================================================================= #
  def self.[](i = ARGV)
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::CreatePackage.new(ARGV)
end # createpackage /Programs/Gcc/9.1.0
    # createpackage /Programs/Php/7.3.6